androidsdk-tools
source package

NEW: Take a look at the new package tracker: tracker.debian.org/pkg/androidsdk-tools

general

source
androidsdk-tools (extra, misc)
version
22.2+git20130830~92d25d6-4
maint
Debian Java Maintainers (a), Stefan Handschuh (u), Jakub Adam (u)
std-ver
3.9.8
VCS
Git (browse)

todo

problems

  • The package has not yet entered testing even though the 5-day delay is over. Check why.
  • The package is severely out of date with respect to the Debian Policy. Latest version is 4.1.3 and your package only follows 3.9.8...
  • There were override disparities found in suite unstable:
    • androidsdk-uiautomatorviewer: Override says java - optional, .deb says java - extra
    • androidsdk-hierarchyviewer: Override says java - optional, .deb says java - extra
    • androidsdk-ddms: Override says java - optional, .deb says java - extra
    • libandroidsdk-swtmenubar-java: Override says java - optional, .deb says java - extra
    • libandroidsdk-sdkstats-java: Override says java - optional, .deb says java - extra
    • libandroidsdk-sdklib-java: Override says java - optional, .deb says java - extra
    • androidsdk-traceview: Override says java - optional, .deb says java - extra
    • libandroidsdk-hierarchyviewerlib-java: Override says java - optional, .deb says java - extra
    • libandroidsdk-ddmlib-java: Override says java - optional, .deb says java - extra
    • libandroidsdk-ddmuilib-java: Override says java - optional, .deb says java - extra
    • libandroidsdk-common-java: Override says java - optional, .deb says java - extra

testing migration

excuses:
  • Migration status: BLOCKED: Rejected/introduces a regression (please see below)
  • 365 days old (needed 5 days)
  • androidsdk-ddms/mips64el unsatisfiable Depends: eclipse-rcp
  • androidsdk-traceview/mips64el unsatisfiable Depends: eclipse-rcp
  • androidsdk-uiautomatorviewer/mips64el unsatisfiable Depends: eclipse-rcp
  • libandroidsdk-common-java/mips64el unsatisfiable Depends: eclipse-rcp
  • libandroidsdk-ddmlib-java/mips64el unsatisfiable Depends: eclipse-rcp
  • libandroidsdk-ddmuilib-java/mips64el unsatisfiable Depends: eclipse-rcp
  • libandroidsdk-hierarchyviewerlib-java/mips64el unsatisfiable Depends: eclipse-rcp
  • libandroidsdk-sdklib-java/mips64el unsatisfiable Depends: eclipse-rcp
  • libandroidsdk-sdkstats-java/mips64el unsatisfiable Depends: eclipse-rcp
  • libandroidsdk-ddmlib-java/ppc64el unsatisfiable Depends: adb
  • libandroidsdk-ddmlib-java/s390x unsatisfiable Depends: adb
  • Updating androidsdk-tools introduces new bugs: #879175.
  • Piuparts tested OK - https://piuparts.debian.org/sid/source/a/androidsdk-tools.html
  • Not considered

bugs

all bug history graph
2
RC
1
I&N
1
M&W
0
F&P
0
Ubu
2